RESIZE_REISERFS(8)

NOM
resize_reiserfs - Outil pour changer la taille d'un système de fichiers ReiserFS

SYNOPSIS
resize_reiserfs [ -s [+|-]taille[K|M|G] ] [ -j périphérique_journal ] [ -fqv ] périphérique

DESCRIPTION
L'outil resize_reiserfs retaille un système de fichiers reiserfs non monté. Il agrandi ou rétréci le système de fichiers reiserfs situé sur le périphérique de telle sorte qu'il ait taille octets ou une taille égale à l'ancienne taille + (respectivement -) taille octets si le signe + (respectivement -) est utilisé en préfixe. Si l'option -s n'est pas spécifiée, le système de fichiers remplira le périphérique donné. La paramètre taille peut préciser une unité K, M,G ce qui indiquera que le paramètre taille est fourni en kilo-, méga- ou gigaoctets respectivement.

Le programme resize_reiserfs ne manipule pas les données du périphérique. Si vous souhaitez élargir un système de fichiers, vous devez vous assurer que le périphérique sous-jacent a été élargit auparavant. Ceci peut être effectué à l'aide de cfdisk(8) pour les partitions, en supprimant la partition et en la recréant avec une taille supérieure (en supposant qu'il y ait de l'espace libre après la partition en question). Assurez-vous que vous la recréez avec le même cylindre de début sur le disque qu'auparavant ! Sinon, l'opération de changement de taille ne fonctionnera probablement pas et vous risquez de perdre complètement votre système de fichiers.

Le programme resize_reiserfs permet d'agrandir un système de fichiers reiserfs en ligne s'il y a de l'espace disponible sur le périphérique bloc.

Si vous souhaitez rétrécir une partition reiserfs, utilisez d'abord resize_reiserfs pour rétrécir le système de fichiers. Vous pouvez ensuite utiliser cfdisk(8) pour rétrécir le périphérique. Lors de la réduction de la taille du périphérique, assurez-vous que vous ne le rendez pas plus petit que la taille réduite du système de fichiers reiserfs.

OPTIONS

-s [+|-]taille
    La nouvelle taille en octets.

-j périphérique_journal
    Le nom du périphérique du journal.

-f  Forcer, ne pas effectuer de vérifications.

-q  Ne rien afficher d'autre que les messages d'erreur.

-v  Activer l'affichage des messages de progression (par défaut).

VALEURS DE RETOUR
0    Taille modifiée avec succès

-1	Échec de la modification de la taille

EXEMPLES
L'exemple suivant montre comment tester resize_reiserfs. Supposez qu'un système de fichiers reiserfs de 2 Go soit créé sur le périphérique /dev/hda8 et soit monté sur /mnt. Pour rétrécir le périphérique, il faut d'abord le démonter, puis exécuter resize_reiserfs avec un paramètre taille (dans ce cas -1 Go).

    df
    umount /mnt
    resize_reiserfs -s -1G /dev/hda8
    mount /dev/hda8 /mnt
    df /mnt

AUTEUR
Cette version de resize_reiserfs a été écrite par Alexander Zarochentcev <zam@namesys.com>.

BOGUES
Veuillez envoyer vos rapports de bogue aux développeurs ReiserFS <reiserfs-devel@vger.kernel.org>, en fournissant autant d'informations que possibles : le matériel, le noyau, les patches, la configuration, tous les messages affichés ; vérifiez si le fichier syslog contient des informations qui sembles liées.

VOIR AUSSI
cfdisk(8), reiserfsck(8), debugreiserfs(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Bour, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.